API overview
An OpenAI-compatible endpoint planned for October 18, 2026.
The public API is planned as an OpenAI-compatible chat-completions style endpoint at https://api.north-ml.space/v1. Keys are issued to approved accounts.
#Example request
curl https://api.north-ml.space/v1/chat/completions \
-H "Authorization: Bearer $NORTH_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model": "kestrel-alpha", "messages": [{"role": "user", "content": "Summarize the findings."}]}'from openai import OpenAI
client = OpenAI(
base_url="https://api.north-ml.space/v1",
api_key=os.environ["NORTH_API_KEY"],
)
client.chat.completions.create(
model="kestrel-alpha",
messages=[{"role": "user", "content": "Summarize the findings."}],
)const res = await fetch("https://api.north-ml.space/v1/chat/completions", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.NORTH_API_KEY}` },
body: JSON.stringify({
model: "kestrel-alpha",
messages: [{ role: "user", content: "Summarize the findings." }],
}),
});